id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Typedefs | Functions
dami Namespace Reference

## Namespaces
| id3
| lyr3
| mm

## Typedefs
typedef std::basic_string< char > | String
typedef std::basic_string < unsigned char > | BString
typedef std::basic_string < wchar_t > | WString

## Functions
template<typename T >
const T & | min (const T &a, const T &b)
template<typename T >
const T & | max (const T &a, const T &b)
template<typename T >
const T & | mid (const T &lo, const T &mid, const T &hi)
template<typename T >
T | abs (const T &a)
size_t ID3_C_EXPORT | renderNumber (uchar *buffer, uint32 val, size_t size=sizeof(uint32))
String ID3_C_EXPORT | renderNumber (uint32 val, size_t size=sizeof(uint32))
String ID3_C_EXPORT | toString (uint32 val)
WString ID3_C_EXPORT | toWString (const unicode_t[], size_t)
size_t ID3_C_EXPORT | ucslen (const unicode_t *unicode)
String ID3_C_EXPORT | convert (String data, ID3_TextEnc, ID3_TextEnc)
size_t ID3_C_EXPORT | getFileSize (fstream &)
size_t ID3_C_EXPORT | getFileSize (ifstream &)
size_t ID3_C_EXPORT | getFileSize (ofstream &)
ID3_Err ID3_C_EXPORT | createFile (String, fstream &)
ID3_Err ID3_C_EXPORT | openWritableFile (String, fstream &)
ID3_Err ID3_C_EXPORT | openWritableFile (String, ofstream &)
ID3_Err ID3_C_EXPORT | openReadableFile (String, fstream &)
ID3_Err ID3_C_EXPORT | openReadableFile (String, ifstream &)

## Typedef Documentation

typedef std::basic_string<unsigned char> dami::BString

Definition at line 199 of file id3lib_strings.h.

typedef std::basic_string<char> dami::String

Definition at line 198 of file id3lib_strings.h.

typedef std::basic_string<wchar_t> dami::WString

Definition at line 200 of file id3lib_strings.h.

## Function Documentation

template<typename T >

T dami::abs | ( | const T & | a | ) |

Definition at line 75 of file utils.h.

String dami::convert | ( | String | data,
|  | ID3_TextEnc | sourceEnc,
|  | ID3_TextEnc | targetEnc
| ) |  |

Definition at line 185 of file utils.cpp.

ID3_Err dami::createFile | ( | String | name,
|  | fstream & | file
| ) |  |

Definition at line 240 of file utils.cpp.

size_t dami::getFileSize | ( | fstream & | file | ) |

Definition at line 256 of file utils.cpp.

size_t dami::getFileSize | ( | ifstream & | file | ) |

Definition at line 269 of file utils.cpp.

size_t dami::getFileSize | ( | ofstream & | file | ) |

Definition at line 282 of file utils.cpp.

template<typename T >

const T& dami::max | ( | const T & | a,
|  | const T & | b
| ) |  |

Definition at line 59 of file utils.h.

template<typename T >

const T& dami::mid | ( | const T & | lo,
|  | const T & | mid,
|  | const T & | hi
| ) |  |

Definition at line 67 of file utils.h.

template<typename T >

const T& dami::min | ( | const T & | a,
|  | const T & | b
| ) |  |

Definition at line 51 of file utils.h.

ID3_Err dami::openReadableFile | ( | String | name,
|  | fstream & | file
| ) |  |

Definition at line 335 of file utils.cpp.

ID3_Err dami::openReadableFile | ( | String | name,
|  | ifstream & | file
| ) |  |

Definition at line 350 of file utils.cpp.

ID3_Err dami::openWritableFile | ( | String | name,
|  | fstream & | file
| ) |  |

Definition at line 295 of file utils.cpp.

ID3_Err dami::openWritableFile | ( | String | name,
|  | ofstream & | file
| ) |  |

Definition at line 315 of file utils.cpp.

size_t dami::renderNumber | ( | uchar * | buffer,
|  | uint32 | val,
|  | size_t | size = `sizeof(uint32)`
| ) |  |

Definition at line 92 of file utils.cpp.

String dami::renderNumber | ( | uint32 | val,
|  | size_t | size = `sizeof(uint32)`
| ) |  |

Definition at line 103 of file utils.cpp.

String dami::toString | ( | uint32 | val | ) |

Definition at line 365 of file utils.cpp.

WString dami::toWString | ( | const unicode_t | buf[],
|  | size_t | len
| ) |  |

Definition at line 383 of file utils.cpp.

size_t dami::ucslen | ( | const unicode_t * | unicode | ) |

Definition at line 216 of file utils.cpp.